﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MusicManager : MonoBehaviour
{
    public AudioSource musicSource = new AudioSource();
    public AudioClip DayMusic;
    public AudioClip NightMusic;

    private bool night = false;
    public GameObject Sun = new GameObject();
    // Start is called before the first frame update
    void Start()
    {
        musicSource.PlayOneShot(DayMusic);
    }

    // Update is called once per frame
    void Update()
    {
        float sunRotationX = Sun.transform.localEulerAngles.x;
        sunRotationX = (sunRotationX > 180) ? sunRotationX - 360 : sunRotationX;

        Debug.Log(sunRotationX.ToString());
        if (sunRotationX < 0)
        {
            musicSource.PlayOneShot(NightMusic);
            Debug.Log("It is a Night");
            night = true;
        }
        else
        {
            musicSource.PlayOneShot(DayMusic);
            Debug.Log("It is a Day");
            night = false;
        }
    }
}
